﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace PalSample
{
    public partial class Form1 : Form
    {
        private PaltalkHelper paltalkHelper = new PaltalkHelper();
        public Form1()
        {
            InitializeComponent();
        }

        private void btnRefresh_Click(object sender, EventArgs e)
        {
            string[] names = paltalkHelper.getAllRoomsAndPms();
            ddlName.DataSource = names;

        }

        private void btnSend_Click(object sender, EventArgs e)
        {
            string name = ddlName.SelectedItem.ToString();
            this.paltalkHelper.sendTextToRoomOrPm(name, txtMessage.Text);

        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.btnRefresh_Click(null, null);
        }
    }
}
